%define _unpackaged_files_terminate_build 1

Name: alterator-module-legacy
Version: 0.1.1
Release: alt2

Summary: Alterator manager backends generator for support the old alterator modules.
License: GPLv2+
Group: System/Configuration/Other
URL: https://gitlab.basealt.space/alt/alterator-module-legacy

BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-macros-alterator
BuildRequires: python3-devel

Requires: alterator-standalone
Requires: alterator-module-executor
Requires: alterator-interface-application
Requires: zenity

Provides: alterator-interface-legacy = %version-%release

%description
Alterator manager backends generator for support the old alterator modules. Alterator browser legacy objects interface.

%prep
%setup

%install
mkdir -p %buildroot%_libexecdir/%name
mkdir -p %buildroot%_rpmlibdir/
mkdir -p %buildroot%_alterator_datadir/applications
mkdir -p %buildroot%_alterator_datadir/backends
mkdir -p %buildroot%_sysconfdir/alterator/backends
mkdir -p %buildroot%_datadir/dbus-1/interfaces
mkdir -p %buildroot%_datadir/polkit-1/actions

install -v -p -m 755 -D %name.filetrigger %buildroot%_rpmlibdir/10%name.filetrigger
install -v -p -m 755 -D alterator-generate-legacy-backends %buildroot%_libexecdir/%name
install -v -p -m 755 -D alterator-object-run %buildroot%_libexecdir/%name
install -v -b -m 644 -D alterator-module-legacy.backend %buildroot%_alterator_datadir/backends/legacy.backend
install -v -p -m 644 -D alterator-object-run.application %buildroot%_alterator_datadir/applications
install -v -p -m 644 -D ru.basealt.alterator.legacy1.xml %buildroot%_datadir/dbus-1/interfaces
install -v -p -m 644 -D ru.basealt.alterator.legacy1.policy %buildroot%_datadir/polkit-1/actions

%postun
if [ $1 = 0 ]; then
    find %_sysconfdir/alterator/backends -name "autogenerated-legacy-*.backend" -type f -print0 | xargs -0 rm -f '{}' ||:
fi

%files
%dir %_datadir/alterator/applications
%dir %_libexecdir/%name
%dir %_sysconfdir/alterator/backends
%_rpmlibdir/10%name.filetrigger
%_alterator_datadir/backends/legacy.backend
%_libexecdir/%name/alterator-generate-legacy-backends
%_libexecdir/%name/alterator-object-run
%_alterator_datadir/applications/*.application
%_datadir/dbus-1/interfaces/ru.basealt.alterator.legacy1.xml
%_datadir/polkit-1/actions/ru.basealt.alterator.legacy1.policy

%changelog
* Tue Apr 02 2024 Aleksey Saprunov <sav@altlinux.org> 0.1.1-alt2
- brought up to specification
- added errors to run output
- added termination of runnig acc with dialog

* Mon Jan 29 2024 Evgeny Sinelnikov <sin@altlinux.org> 0.1.1-alt1
- first build for Sisyphus

* Mon Dec 11 2023 Aleksey Saprunov <sav@altlinux.org> 0.1.0-alt1
- initial build
